pydo.load_balancers.add_droplets()
Generated on 8 May 2026
from pydo version
v0.34.0
Usage
client.load_balancers.add_droplets(
lb_id="4de7ac8b-495b-4884-9a69-1050c6793cd6",
body={
"droplet_ids": [...],
},
)Description
To assign a Droplet to a load balancer instance, send a POST request to
/v2/load_balancers/{lb_id}/droplets. In the body of the request,
there should be a droplet_ids attribute containing a list of Droplet IDs.
Individual Droplets can not be added to a load balancer configured with a
Droplet tag. Attempting to do so will result in a “422 Unprocessable Entity”
response from the API.
No response body will be sent back, but the response code will indicate success. Specifically, the response code will be a 204, which means that the action was successful with no returned body data.
Parameters
lb_idstring requiredA unique identifier for a load balancer.
droplet_idsarray of integers requiredExample:
[3164444, 3164445]An array containing the IDs of the Droplets assigned to the load balancer.
Request Sample
More Information
See /v2/load_balancers/{lb_id}/droplets in the API reference for additional detail on responses, headers, parameters, and more.